! Copyright (C) TOYODA Eizi, 2000.  All rights reserved.

subroutine GTVarDelAttr(var, name, err)
    use gtdata_types, only: GT_VARIABLE
    use an_generic, only: del_attr
    implicit none
    type(GT_VARIABLE), intent(in):: var
    character(len = *), intent(in):: name
    logical, intent(out), optional:: err
    if (associated(var%an)) then
        call del_attr(var%an, name, err)
    endif
end subroutine
